import { select, arc } from 'd3';


const svg = select('svg');

const height = +svg.attr('height');
const width = parseFloat(svg.attr('width'));

const circle = svg.append('circle')
  .attr('r', 150)
	.attr('cx', height)
	.attr('cy', width/5)
  .attr('fill', 'yellow')
  .attr('stroke', 'red')
	.attr('stroke-width', 5);

const eyeSpacing = 40;
const eyeOffset = 70;

const leftEye = svg.append('circle')
	.attr('r', 15)
	.attr('cx', height-eyeOffset)
	.attr('cy', width/5 -eyeSpacing)
	.attr('stroke', 'red')
	.attr('stroke-width', 5);

const leftEyeWhite = svg.append('circle')
	.attr('r', 5)
	.attr('cx', height-eyeOffset)
	.attr('cy', width/5 -eyeSpacing)
	.attr('fill', 'white');

const rigthEye = svg.append('circle')
	.attr('r', 20)
	.attr('cx', height+70)
	.attr('cy', width/5-eyeSpacing)
	.attr('stroke', 'red')
	.attr('stroke-width', 5);

const rigthEyeWhite = svg.append('circle')
	.attr('r', 7)
	.attr('cx', height+74)
	.attr('cy', width/5-45)
	.attr('fill', 'white');

const g = svg.append('g')
	.attr('transform', 'translate(500, 200)');

const mouth = g.append('path')
	.attr('d', arc()({
          innerRadius: 90,
  				outerRadius: 100,
  				startAngle: 1.5,
  				endAngle: Math.PI *1.5
        }));



